classification
Title: pyexpat: replace PyObject_DEL() by Py_DECREF() to fix a crash in pydebug mode
Type: crash Stage: patch review
Components: Extension Modules, XML Versions: Python 3.2, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: effbot, flox, vstinner
Priority: normal Keywords: patch

Created on 2010-07-28 20:53 by vstinner, last changed 2010-09-10 22:25 by vstinner. This issue is now closed.

Files
File name Uploaded Description Edit
pyexpat_py_decref.patch vstinner, 2010-07-28 20:53
Messages (2)
msg111845 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2010-07-28 20:53
PyObject_DEL() should not be used to destroy an object because it will break the linked list of allocated objects using in pydebug mode to detect bugs. pyexpat should use Py_DECREF() instead of PyObject_DEL() to destroy an object.

Attached patch fixes that.

See #3299 for the whole story.
msg116051 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2010-09-10 22:25
Fixed by r84692.
History
Date User Action Args
2010-09-10 22:25:57vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg116051
2010-08-04 07:57:56floxsetnosy: + effbot, flox

type: crash
components: + Extension Modules, XML, - Library (Lib)
stage: patch review
2010-07-28 20:53:46vstinnercreate